## ICalDatetimeperiodType ICalDatetimeperiodType |

## Functions

ICalTimetype * | i_cal_datetimeperiod_type_get_time ()
void | i_cal_datetimeperiod_type_set_time ()
ICalPeriodType * | i_cal_datetimeperiod_type_get_period ()
void | i_cal_datetimeperiod_type_set_period ()

## Types and Values

#define | I_CAL_DATETIMEPERIOD_TYPE_TYPE
| ICalDatetimeperiodType
struct | ICalDatetimeperiodTypeClass

## Description

## Functions

### i_cal_datetimeperiod_type_get_time ()

    ICalTimetype *
    i_cal_datetimeperiod_type_get_time (ICalDatetimeperiodType *dtp);

Get the time attribute of ICalDatetimeperiodType.

#### Parameters

dtp | The ICalDatetimeperiodType to be queried |

#### Returns

The time attribute of `dtp` .

[transfer full]

Since: 1.0

### i_cal_datetimeperiod_type_set_time ()

    void
    i_cal_datetimeperiod_type_set_time (ICalDatetimeperiodType *dtp,
                                        ICalTimetype *time);

Set the time attribute of ICalDatetimeperiodType.

#### Parameters

dtp | The ICalDatetimeperiodType to be set |
time | The time attribute of `dtp` . |

Since: 1.0

### i_cal_datetimeperiod_type_get_period ()

    ICalPeriodType *
    i_cal_datetimeperiod_type_get_period (ICalDatetimeperiodType *dtp);

Get the period attribute of ICalDatetimeperiodType.

#### Parameters

dtp | The ICalDatetimeperiodType to be queried |

#### Returns

The period attribute of `dtp` .

[transfer full]

Since: 1.0

### i_cal_datetimeperiod_type_set_period ()

    void
    i_cal_datetimeperiod_type_set_period (ICalDatetimeperiodType *dtp,
                                          ICalPeriodType *period);

Set the period attribute of ICalDatetimeperiodType.

#### Parameters

dtp | The ICalDatetimeperiodType to be set |
period | The period attribute of `dtp` . |

Since: 1.0

## Types and Values

### I_CAL_DATETIMEPERIOD_TYPE_TYPE

    #define             I_CAL_DATETIMEPERIOD_TYPE_TYPE

### ICalDatetimeperiodType

    typedef struct {
    } ICalDatetimeperiodType;

This is the ICalDatetimeperiodType instance.

### struct ICalDatetimeperiodTypeClass

    struct ICalDatetimeperiodTypeClass {
    };

This is the ICalDatetimeperiodType class.